Skip to main content
PUT
/
tag_groups
/
{tag_group}
Update a tag group
curl --request PUT \
  --url https://sandbox.nmbr.co/services/payroll/tag_groups/{tag_group} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "Cost Centre"
}
'
{
  "id": "<id>",
  "object": "tag_group",
  "data": {
    "label": "Cost Centre",
    "label_translations": null,
    "label_translated": "Cost Centre",
    "description": null,
    "description_translations": null,
    "description_translated": null,
    "color": null,
    "archived_at": null,
    "is_deletable": true,
    "is_component_locked": false,
    "is_journal_entry_dimension": false,
    "integrations": {
      "xero": {
        "id": null,
        "type": null
      },
      "quickbooks": {
        "type": null
      }
    },
    "business_entity": {
      "id": "<id>",
      "object": "business_entity",
      "links": {
        "self": "/business_entities/<id>"
      }
    },
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/tag_groups/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tag_group
string
required

Body

application/json
label
string
Maximum string length: 255
label_translations
object

Optional translations for the label property.

description
string | null
description_translations
object

Optional translations for the description property.

color
string | null
archived_at
string<date>
is_component_locked
boolean
is_journal_entry_dimension
boolean
integrations
object

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("tag_group").

data
Tag Group · object